import os.path
import sys

libdir = os.path.dirname(__file__)
sys.path.append(os.path.split(libdir)[0])
from Data.SmartDataGenerator import PathGenerator
import Visualize.VisualizePredictedReal as vpr

pg = PathGenerator(20, 20, 20, 1)
map = pg.create_heatmap([19, 10, 10])

def generateData(num_players):
    path = pg.generate_path(map, num_players, [1, 10, 0], [19, 10, 10])
    return path

print(map.shape[0])
print(map.shape[1])
print(map.shape[2])

vpr.visualizePathWithPrediction([20, 20, 20], generateData(2), generateData(2))
