import unittest
import numpy as np 
import sys
import os.path
libdir = os.path.dirname(__file__)
sys.path.append(os.path.split(libdir)[0])
from Map import MapGenerator as mg

class TestSum(unittest.TestCase):

    def test_create_empty_map_3d(self):
        length = 200
        width = 200
        height = 200
        density = 1

        map_generator = mg.MapGenerator(length, width, height, density)
        empty_map = map_generator.create_empty_map_3d(0)

        self.assertEqual(empty_map.tolist(), np.full((length * density, width * density, height * density), 0).tolist(), "Should be equal")



if __name__ == '__main__':
    unittest.main()