import sys
import os.path
libdir = os.path.dirname(__file__)
sys.path.append(os.path.split(libdir)[0])

import Visualize.VisualizePath as vp
import Visualize.VisualizeHistory as vh
import Visualize.VisualizePredictedReal as vpr
import Visualize.VisualizeFlat as vf

def visualize_heat(map):
    vp.visualize_heat(map)

def visualize_path(map, path):
    vp.visualize_path(map, path)

def visualize_astar(map, obstacles, path):
    vp.visualize_astar(map, obstacles, path)

def visualize_predicted_real(map, real, predicted):
    vpr.visualizePathWithPrediction(map, real, predicted)

def visualize_heat_interest(heat_map, interest):
    vp.visualize_heat_interest(heat_map, interest)

def visualize_flat(map, real, predicted):
    vf.visualize_flat(map, real, predicted)

def visualize_history(history):
    vh.visualize_history(history)
