import matplotlib.pyplot as plt
import numpy as np

"""
Standalone visualization used to visualize static data. Was used for loss graph in bachelor paper.
"""

loss = [
   [0.99989, 2.30860, 4.32101, 8.16349],
   [0.59396, 1.34382, 1.81638, 2.53034],
   [0.55293, 1.27581, 1.31567, 1.97221]
]

modell_one = np.linspace(loss[0][0], loss[0][1], num=20, endpoint=False)
modell_one = np.concatenate((modell_one, np.linspace(loss[0][1], loss[0][2], num=20, endpoint=False)), axis=None)
modell_one = np.concatenate((modell_one, np.linspace(loss[0][2], loss[0][3], num=40)), axis=None)

modell_two = np.linspace(loss[1][0], loss[1][1], num=20, endpoint=False)
modell_two = np.concatenate((modell_two, np.linspace(loss[1][1], loss[1][2], num=20, endpoint=False)), axis=None)
modell_two = np.concatenate((modell_two, np.linspace(loss[1][2], loss[1][3], num=40)), axis=None)

modell_three = np.linspace(loss[2][0], loss[2][1], num=20, endpoint=False)
modell_three = np.concatenate((modell_three, np.linspace(loss[2][1], loss[2][2], num=20, endpoint=False)), axis=None)
modell_three = np.concatenate((modell_three, np.linspace(loss[2][2], loss[2][3], num=40)), axis=None)

scale = [1, 20, 40 ,80]

x = np.linspace(1, 81, num=80, endpoint=False)
print(x)



plt.ylabel('Tapet (MSE)')
plt.xlabel('Tidssteg')


plt.plot(x, modell_one)
plt.text(80.3, loss[0][3], 'Modell 1')
plt.plot(x, modell_two)
plt.text(80.3, loss[1][3], 'Modell 2')
plt.plot(x, modell_three)
plt.text(80.3, loss[2][3], 'Modell 3')
#plt.xlim(1, 80)
plt.show()